## MMCallAudioFormat

MMCallAudioFormat — Helper object to handle voice call audio formats.

## Functions

const gchar * | mm_call_audio_format_get_encoding ()
const gchar * | mm_call_audio_format_get_resolution ()
guint | mm_call_audio_format_get_rate ()

## Types and Values

struct | MMCallAudioFormat

## Object Hierarchy

        GObject
        ╰── MMCallAudioFormat

## Description

The MMCallAudioFormat is an object handling the voice call audio format which describes how to send/receive voice call audio from the host.

This object is retrieved with either `mm_call_get_audio_format()` or `mm_call_peek_audio_format()`.

## Functions

### mm_call_audio_format_get_encoding ()

    const gchar *
    mm_call_audio_format_get_encoding (MMCallAudioFormat *self);

Gets the encoding of the audio format. For example, "pcm" for PCM-encoded audio.

#### Parameters

self | a MMCallAudioFormat. |

#### Returns

a string with the encoding, or NULL if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.10

### mm_call_audio_format_get_resolution ()

    const gchar *
    mm_call_audio_format_get_resolution (MMCallAudioFormat *self);

Gets the resolution of the audio format. For example, "s16le" for signed 16-bit little-endian audio sampling resolution.

#### Parameters

self | a MMCallAudioFormat. |

#### Returns

a string with the resolution, or NULL if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.10

### mm_call_audio_format_get_rate ()

    guint
    mm_call_audio_format_get_rate (MMCallAudioFormat *self);

Gets the sampling rate of the audio format. For example, 8000 for an 8000hz sampling rate.

#### Parameters

self | a MMCallAudioFormat. |

#### Returns

the sampling rate, or 0 if unknown.

Since: 1.10

## Types and Values

### struct MMCallAudioFormat

    struct MMCallAudioFormat;

The MMCallAudioFormat structure contains private data and should only be accessed using the provided API.